NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ShelfBuilder Class Reference

Represents a NXOpen::Features::Shelf builder
To create a new instance of this class, use NXOpen::Features::AeroCollection::CreateShelfBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::ShelfBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DepthMethods { DepthMethodsOffset, DepthMethodsToNextWall }
 Depth Method for Depth Face. More...
 
enum  LengthMethods { LengthMethodsFull, LengthMethodsShelfFromEnd, LengthMethodsStepFromEnd, LengthMethodsToSelected }
 Depth Method for Length. More...
 
enum  ReferenceType { ReferenceTypeFace, ReferenceTypeDatumPlane, ReferenceTypeCurve, ReferenceTypePoint }
 Type of Reference Object. More...
 
enum  StepMethod { StepMethodNormal, StepMethodAlignwithReferenceFace, StepMethodRamp }
 Step Method for Side Face. More...
 
enum  Types { TypesEnd, TypesMiddle }
 Type of shelf. More...
 

Public Member Functions

NXOpen::ExpressionDepthDimension ()
 Returns the depth dimension
Created in NX10.0.0. More...
 
NXOpen::Features::ShelfBuilder::DepthMethods DepthMethod ()
 Returns the depth method
Created in NX10.0.0. More...
 
NXOpen::ExpressionLength1 ()
 Returns the length1
Created in NX10.0.0. More...
 
NXOpen::ExpressionLength2 ()
 Returns the length2
Created in NX10.0.0. More...
 
NXOpen::ExpressionLengthDimension ()
 Returns the length dimension
Created in NX10.0.0. More...
 
NXOpen::Features::ShelfBuilder::LengthMethods LengthMethod ()
 Returns the length method
Created in NX10.0.0. More...
 
NXOpen::SectionLimitCurve1 ()
 Returns the limit curve1
Created in NX10.0.0. More...
 
NXOpen::SectionLimitCurve2 ()
 Returns the limit curve2
Created in NX10.0.0. More...
 
NXOpen::ScCollectorLimitFace1 ()
 Returns the limit face1
Created in NX10.0.0. More...
 
NXOpen::ScCollectorLimitFace2 ()
 Returns the limit face2
Created in NX10.0.0. More...
 
NXOpen::PlaneLimitPlane1 ()
 Returns the limit plane1
Created in NX10.0.0. More...
 
NXOpen::PlaneLimitPlane2 ()
 Returns the limit plane2
Created in NX10.0.0. More...
 
NXOpen::PointLimitPoint1 ()
 Returns the limit point1
Created in NX10.0.0. More...
 
NXOpen::PointLimitPoint2 ()
 Returns the limit point2
Created in NX10.0.0. More...
 
NXOpen::ExpressionOffsetDimension ()
 Returns the offset dimension
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::ProjectionOptionsProjectionDir1 ()
 Returns the project direction 1
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::ProjectionOptionsProjectionDir2 ()
 Returns the project direction 2
Created in NX10.0.0. More...
 
NXOpen::ExpressionRampLength1 ()
 Returns the ramp length1
Created in NX10.0.0. More...
 
NXOpen::ExpressionRampLength2 ()
 Returns the ramp length2
Created in NX10.0.0. More...
 
NXOpen::Features::ShelfBuilder::ReferenceType RefType1 ()
 Returns the ref type1
Created in NX10.0.0. More...
 
NXOpen::Features::ShelfBuilder::ReferenceType RefType2 ()
 Returns the ref type2
Created in NX10.0.0. More...
 
bool ReverseDepthDirection ()
 Returns whether reverse depth direction
Created in NX10.0.0. More...
 
bool ReverseWidthDirection ()
 Returns whether reverse width direction
Created in NX10.0.0. More...
 
NXOpen::ScCollectorSelectface ()
 Returns the selected face
Created in NX10.0.0. More...
 
void SetDepthMethod (NXOpen::Features::ShelfBuilder::DepthMethods depthMethod)
 Sets the depth method
Created in NX10.0.0. More...
 
void SetLengthMethod (NXOpen::Features::ShelfBuilder::LengthMethods lengthMethod)
 Sets the length method
Created in NX10.0.0. More...
 
void SetLimitPlane1 (NXOpen::Plane *limitPlane1)
 Sets the limit plane1
Created in NX10.0.0. More...
 
void SetLimitPlane2 (NXOpen::Plane *limitPlane2)
 Sets the limit plane2
Created in NX10.0.0. More...
 
void SetLimitPoint1 (NXOpen::Point *limitPoint1)
 Sets the limit point1
Created in NX10.0.0. More...
 
void SetLimitPoint2 (NXOpen::Point *limitPoint2)
 Sets the limit point2
Created in NX10.0.0. More...
 
void SetRefType1 (NXOpen::Features::ShelfBuilder::ReferenceType refType1)
 Sets the ref type1
Created in NX10.0.0. More...
 
void SetRefType2 (NXOpen::Features::ShelfBuilder::ReferenceType refType2)
 Sets the ref type2
Created in NX10.0.0. More...
 
void SetReverseDepthDirection (bool reverseDepthDirection)
 Sets whether reverse depth direction
Created in NX10.0.0. More...
 
void SetReverseWidthDirection (bool reverseWidthDirection)
 Sets whether reverse width direction
Created in NX10.0.0. More...
 
void SetShelfEnd (bool shelfEnd)
 Sets the shelf end
Created in NX10.0.0. More...
 
void SetShelfType (NXOpen::Features::ShelfBuilder::Types type)
 Sets the type
Created in NX10.0.0. More...
 
void SetStepMethod1 (NXOpen::Features::ShelfBuilder::StepMethod stepMethod1)
 Sets the step method1
Created in NX10.0.0. More...
 
void SetStepMethod2 (NXOpen::Features::ShelfBuilder::StepMethod stepMethod2)
 Sets the step method2
Created in NX10.0.0. More...
 
void SetSwap (bool swap)
 Sets the swap
Created in NX10.0.0. More...
 
NXOpen::ScCollectorShelfEdge ()
 Returns the shelf edge
Created in NX10.0.0. More...
 
bool ShelfEnd ()
 Returns the shelf end
Created in NX10.0.0. More...
 
NXOpen::Features::ShelfBuilder::Types ShelfType ()
 Returns the type
Created in NX10.0.0. More...
 
NXOpen::Features::ShelfBuilder::StepMethod StepMethod1 ()
 Returns the step method1
Created in NX10.0.0. More...
 
NXOpen::Features::ShelfBuilder::StepMethod StepMethod2 ()
 Returns the step method2
Created in NX10.0.0. More...
 
bool Swap ()
 Returns the swap
Created in NX10.0.0. More...
 
NXOpen::ExpressionWidthDimension ()
 Returns the width dimension
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::Shelf builder
To create a new instance of this class, use NXOpen::Features::AeroCollection::CreateShelfBuilder
Default values.

Property Value

DepthDimension.Value

5 (millimeters part), 0.25 (inches part)

DepthMethod

Offset

Length1.Value

10 (millimeters part), 0.5 (inches part)

Length2.Value

0 (millimeters part), 0 (inches part)

LengthDimension.Value

25 (millimeters part), 1.0 (inches part)

LengthMethod

Full

OffsetDimension.Value

0 (millimeters part), 0 (inches part)

RampLength1.Value

10 (millimeters part), 0.5 (inches part)

RampLength2.Value

10 (millimeters part), 0.5 (inches part)

RefType1

Face

RefType2

Face

ShelfType

End

StepMethod1

Normal

StepMethod2

Normal

WidthDimension.Value

5 (millimeters part), 0.25 (inches part)


Created in NX10.0.0.

Member Enumeration Documentation

Depth Method for Depth Face.

Enumerator
DepthMethodsOffset 

offset

DepthMethodsToNextWall 

to next wall

Depth Method for Length.

Enumerator
LengthMethodsFull 

full

LengthMethodsShelfFromEnd 

shelf from end

LengthMethodsStepFromEnd 

step from end

LengthMethodsToSelected 

to selected

Type of Reference Object.

Enumerator
ReferenceTypeFace 

face

ReferenceTypeDatumPlane 

datum plane

ReferenceTypeCurve 

curve

ReferenceTypePoint 

point

Step Method for Side Face.

Enumerator
StepMethodNormal 

normal

StepMethodAlignwithReferenceFace 

alignwith reference face

StepMethodRamp 

ramp

Type of shelf.

It has end and middle type

Enumerator
TypesEnd 

end

TypesMiddle 

middle

Member Function Documentation

NXOpen::Expression* NXOpen::Features::ShelfBuilder::DepthDimension ( )

Returns the depth dimension
Created in NX10.0.0.



License requirements : None

NXOpen::Features::ShelfBuilder::DepthMethods NXOpen::Features::ShelfBuilder::DepthMethod ( )

Returns the depth method
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShelfBuilder::Length1 ( )

Returns the length1
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShelfBuilder::Length2 ( )

Returns the length2
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShelfBuilder::LengthDimension ( )

Returns the length dimension
Created in NX10.0.0.



License requirements : None

NXOpen::Features::ShelfBuilder::LengthMethods NXOpen::Features::ShelfBuilder::LengthMethod ( )

Returns the length method
Created in NX10.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::ShelfBuilder::LimitCurve1 ( )

Returns the limit curve1
Created in NX10.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::ShelfBuilder::LimitCurve2 ( )

Returns the limit curve2
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::ShelfBuilder::LimitFace1 ( )

Returns the limit face1
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::ShelfBuilder::LimitFace2 ( )

Returns the limit face2
Created in NX10.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::ShelfBuilder::LimitPlane1 ( )

Returns the limit plane1
Created in NX10.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::ShelfBuilder::LimitPlane2 ( )

Returns the limit plane2
Created in NX10.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::ShelfBuilder::LimitPoint1 ( )

Returns the limit point1
Created in NX10.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::ShelfBuilder::LimitPoint2 ( )

Returns the limit point2
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShelfBuilder::OffsetDimension ( )

Returns the offset dimension
Created in NX10.0.0.



License requirements : None

NXOpen::GeometricUtilities::ProjectionOptions* NXOpen::Features::ShelfBuilder::ProjectionDir1 ( )

Returns the project direction 1
Created in NX10.0.0.



License requirements : None

NXOpen::GeometricUtilities::ProjectionOptions* NXOpen::Features::ShelfBuilder::ProjectionDir2 ( )

Returns the project direction 2
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShelfBuilder::RampLength1 ( )

Returns the ramp length1
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShelfBuilder::RampLength2 ( )

Returns the ramp length2
Created in NX10.0.0.



License requirements : None

NXOpen::Features::ShelfBuilder::ReferenceType NXOpen::Features::ShelfBuilder::RefType1 ( )

Returns the ref type1
Created in NX10.0.0.



License requirements : None

NXOpen::Features::ShelfBuilder::ReferenceType NXOpen::Features::ShelfBuilder::RefType2 ( )

Returns the ref type2
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::ShelfBuilder::ReverseDepthDirection ( )

Returns whether reverse depth direction
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::ShelfBuilder::ReverseWidthDirection ( )

Returns whether reverse width direction
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::ShelfBuilder::Selectface ( )

Returns the selected face
Created in NX10.0.0.



License requirements : None

void NXOpen::Features::ShelfBuilder::SetDepthMethod ( NXOpen::Features::ShelfBuilder::DepthMethods  depthMethod)

Sets the depth method
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
depthMethoddepthmethod
void NXOpen::Features::ShelfBuilder::SetLengthMethod ( NXOpen::Features::ShelfBuilder::LengthMethods  lengthMethod)

Sets the length method
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
lengthMethodlengthmethod
void NXOpen::Features::ShelfBuilder::SetLimitPlane1 ( NXOpen::Plane limitPlane1)

Sets the limit plane1
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
limitPlane1limitplane1
void NXOpen::Features::ShelfBuilder::SetLimitPlane2 ( NXOpen::Plane limitPlane2)

Sets the limit plane2
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
limitPlane2limitplane2
void NXOpen::Features::ShelfBuilder::SetLimitPoint1 ( NXOpen::Point limitPoint1)

Sets the limit point1
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
limitPoint1limitpoint1
void NXOpen::Features::ShelfBuilder::SetLimitPoint2 ( NXOpen::Point limitPoint2)

Sets the limit point2
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
limitPoint2limitpoint2
void NXOpen::Features::ShelfBuilder::SetRefType1 ( NXOpen::Features::ShelfBuilder::ReferenceType  refType1)

Sets the ref type1
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
refType1reftype1
void NXOpen::Features::ShelfBuilder::SetRefType2 ( NXOpen::Features::ShelfBuilder::ReferenceType  refType2)

Sets the ref type2
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
refType2reftype2
void NXOpen::Features::ShelfBuilder::SetReverseDepthDirection ( bool  reverseDepthDirection)

Sets whether reverse depth direction
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
reverseDepthDirectionreversedepthdirection
void NXOpen::Features::ShelfBuilder::SetReverseWidthDirection ( bool  reverseWidthDirection)

Sets whether reverse width direction
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
reverseWidthDirectionreversewidthdirection
void NXOpen::Features::ShelfBuilder::SetShelfEnd ( bool  shelfEnd)

Sets the shelf end
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
shelfEndshelfend
void NXOpen::Features::ShelfBuilder::SetShelfType ( NXOpen::Features::ShelfBuilder::Types  type)

Sets the type
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
typetype
void NXOpen::Features::ShelfBuilder::SetStepMethod1 ( NXOpen::Features::ShelfBuilder::StepMethod  stepMethod1)

Sets the step method1
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
stepMethod1stepmethod1
void NXOpen::Features::ShelfBuilder::SetStepMethod2 ( NXOpen::Features::ShelfBuilder::StepMethod  stepMethod2)

Sets the step method2
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
stepMethod2stepmethod2
void NXOpen::Features::ShelfBuilder::SetSwap ( bool  swap)

Sets the swap
Created in NX10.0.0.



License requirements : nx_aero_design (" NX Aero Design")

Parameters
swapswap
NXOpen::ScCollector* NXOpen::Features::ShelfBuilder::ShelfEdge ( )

Returns the shelf edge
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::ShelfBuilder::ShelfEnd ( )

Returns the shelf end
Created in NX10.0.0.



License requirements : None

NXOpen::Features::ShelfBuilder::Types NXOpen::Features::ShelfBuilder::ShelfType ( )

Returns the type
Created in NX10.0.0.



License requirements : None

NXOpen::Features::ShelfBuilder::StepMethod NXOpen::Features::ShelfBuilder::StepMethod1 ( )

Returns the step method1
Created in NX10.0.0.



License requirements : None

NXOpen::Features::ShelfBuilder::StepMethod NXOpen::Features::ShelfBuilder::StepMethod2 ( )

Returns the step method2
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::ShelfBuilder::Swap ( )

Returns the swap
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShelfBuilder::WidthDimension ( )

Returns the width dimension
Created in NX10.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.